TESTING/LIN/zrzt02.f(3)

NAME
TESTING/LIN/zrzt02.f

SYNOPSIS

  Functions/Subroutines
double precision function zrzt02 (m, n, af, lda, tau, work, lwork)
ZRZT02

Function/Subroutine Documentation

  double precision function zrzt02 (integer m, integer n, complex*16, dimension( lda, * ) af, integer lda, complex*16, dimension( * ) tau, complex*16, dimension( lwork ) work, integer lwork)

ZRZT02

Purpose:

     ZRZT02 returns
          || I - Q'*Q || / ( M * eps)
     where the matrix Q is defined by the Householder transformations
     generated by ZTZRZF.

Parameters
    M

              M is INTEGER
              The number of rows of the matrix AF.

    N

              N is INTEGER
              The number of columns of the matrix AF.

    AF

              AF is COMPLEX*16 array, dimension (LDA,N)
              The output of ZTZRZF.

    LDA

              LDA is INTEGER
              The leading dimension of the array AF.

    TAU

              TAU is COMPLEX*16 array, dimension (M)
              Details of the Householder transformations as returned by
              ZTZRZF.

    WORK

              WORK is COMPLEX*16 array, dimension (LWORK)

    LWORK

              LWORK is INTEGER
              Length of WORK array. LWORK >= N*N+N.

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 89 of file zrzt02.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.